/* © Touch Base Media, 2015, All Rights Reserved */

angular.module('starter', ['ionic',
                           'starter.controllers',
                           'starter.services', 
                           'ngCordova', 
                           'ionic.service.core', 
                           'pascalprecht.translate',
                           'ngSanitize'
                           ])

.run(function($ionicPlatform, $ionicPopup){
  var a = "4I4WpddVRFmTcqPNIczUYX3MpiBtobdZHVfyzpGO";
  var j = "1mqNrc28z7LXtgp8MuaVWyYdjndalNXtKxR11mN9";
  Parse.initialize(a, j);
  $ionicPlatform.ready(function() {
    if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
    }
    if (window.StatusBar) {
      StatusBar.styleLightContent();
    }

    initPushwoosh();

  });

  document.addEventListener("deviceready", onDeviceReady, false);
    function onDeviceReady() {
    window.open = cordova.InAppBrowser.open;
    }
})

.config(function($stateProvider, $urlRouterProvider, $ionicAppProvider, $ionicConfigProvider, $translateProvider) {
    
    $ionicConfigProvider.views.swipeBackEnabled(false);

    // IONIC Identify App:
    $ionicAppProvider.identify({
      // The App ID for the server
      app_id: '62252213',
      // The API key all services will use for this app
      api_key: '7dac1cb34956f30e0c4025a02d64cecbe410e9acace5c953',
      // The GCM project number
      gcm_id: '281766481227'
    });


  $stateProvider

  .state('index', {
    url: '/index',
    reload: true,
    cache: false,
    views: {
      'index': {
        templateUrl: 'index.html',
        controller: 'IndexCtrl'
      }
    }
  })

  .state('landing', {
      url: '/landing',
      reload: true,
      cache: false,
      templateUrl: 'templates/landing.html',
      controller: 'LandingCtrl'
  })

  .state('no-network-connection', {
      url: '/no-network-connection',
      templateUrl: 'templates/no-network-connection.html',
      controller: 'NoNetworkConnectionCtrl'
  })

  .state('welcome', {
      url: '/welcome',
      reload: true,
      cache: false,
      templateUrl: 'templates/welcome.html',
      controller: 'WelcomeCtrl'
  })

  .state('disclaimer', {
      url: '/disclaimer',
      reload: true,
      cache: false,
      templateUrl: 'templates/disclaimer.html',
      controller: 'DisclaimerCtrl'
  })

  .state('tab', {
    url: "/tab",
    abstract: true,
    templateUrl: "templates/tabs.html"//,
    //controller: 'TabCtrl'
  })


  // Each tab has its own nav history stack:
  .state('tab.home', {
    url: '/home',
    reload: true,
    cache: false,
    views: {
      'tab-home': {
        templateUrl: 'templates/tab-home.html',
        controller: 'HomeCtrl'
      }
    }
  })

    .state('tab.locations', {
      url: '/locations',
      reload: true,
      cache: false,
      views: {
        'tab-locations': {
          templateUrl: 'templates/tab-locations.html',
          controller: 'LocationsCtrl'
        }
      }
    })

    .state('tab.uber', {
      url: '/uber',
      views: {
        'tab-locations': {
          templateUrl: 'templates/uber.html',
          controller: 'UberCtrl'
        }
      }
    })


    .state('tab.uber-home', {
      url: '/uber-home',
      views: {
        'tab-home': {
          templateUrl: 'templates/uber-home.html',
          controller: 'UberCtrl'
        }
      }
    })

    .state('tab.find-district', {
      url: '/find-district',
      views: {
        'tab-home': {
          templateUrl: 'templates/find-district.html',
          controller: 'FindDistrictCtrl'
        }
      }
    })



  .state('tab.candidates', {
      url: '/candidates',
      reload: true,
      cache: false,
      views: {
        'tab-candidates': {
          templateUrl: 'templates/tab-candidates.html',
          controller: 'CandidatesCtrl'
        }
      }
    })



   .state('tab.candidate-detail', {
      url: '/candidates/:objectId',
      reload: true,
      cache: false,
      views: {
        'tab-candidates': {
          templateUrl: 'templates/candidate-detail.html',
          controller: 'CandidateDetailCtrl'
        }
      }
    })

    .state('tab.requirements', {
      url: '/requirements',
      reload: false,
      cache: false,
      views: {
        'tab-requirements': {
          templateUrl: 'templates/tab-requirements.html',
          controller: 'RequirementsCtrl'
        }
      }
    })


    .state('tab.requirement-registration', {
      url: '/requirements/registration',
      reload: true,
      cache: false,
      views: {
        'tab-requirements': {
          templateUrl: 'templates/requirement-registration.html',
          controller: 'RequirementRegistrationCtrl'
        }
      }
    })

    .state('tab.requirement-when', {
      url: '/requirements/when',
      reload: true,
      cache: false,
      views: {
        'tab-requirements': {
          templateUrl: 'templates/requirement-when.html',
          controller: 'RequirementWhenCtrl'
        }
      }
    })

    .state('tab.requirement-id', {
      url: '/requirements/id',
      reload: true,
      cache: false,
      views: {
        'tab-requirements': {
          templateUrl: 'templates/requirement-id.html',
          controller: 'RequirementIdCtrl'
        }
      }
    })


    .state('tab.requirement-student', {
      url: '/requirements/student',
      reload: true,
      cache: false,
      views: {
        'tab-requirements': {
          templateUrl: 'templates/requirement-student.html',
          controller: 'RequirementStudentCtrl'
        }
      }
    })

    .state('tab.requirement-special', {
      url: '/requirements/special',
      reload: true,
      cache: false,
      views: {
        'tab-requirements': {
          templateUrl: 'templates/requirement-special.html',
          controller: 'RequirementSpecialCtrl'
        }
      }
    })


    .state('tab.requirement-video', {
      url: '/requirements/video',
      reload: true,
      cache: false,
      views: {
        'tab-requirements': {
          templateUrl: 'templates/requirement-video.html',
          controller: 'RequirementVideoCtrl'
        }
      }
    })


    .state('tab.notifications', {
      url: '/notifications',
      reload: true,
      cache: false,
      views: {
        'tab-home': {
          templateUrl: 'templates/notifications.html',
          controller: 'NotificationsCtrl'
        }
      }
    })


    .state('tab.settings', {
      url: '/settings',
      reload: true,
      cache: false,
      views: {
        'tab-home': {
          templateUrl: 'templates/settings.html',
          controller: 'SettingsCtrl'
        }
      }
    })

    .state('tab.about', {
      url: '/about',
      reload: true,
      cache: false,
      views: {
        'tab-home': {
          templateUrl: 'templates/about.html',
          controller: 'AboutCtrl'
        }
      }
    });



  // if none of the above states are matched, use this as the fallback
  //$urlRouterProvider.otherwise('/tab/home');
  //$urlRouterProvider.otherwise('/welcome');
  $urlRouterProvider.otherwise('/landing');


   $translateProvider

            .translations('en', {

                // Welcome
                YOUR_PERSONAL_ASSISTANT: 'Your Personal Assistant for...',
                FOR_WHAT_ELECTION: 'The 42<sup>nd</sup> Federal Election!',
                VOTING_REQUIREMENTS: 'Voting <b>Requirements</b>',
                MY_LOCATIONS: 'Directions to Voting <b>Locations</b>',
                MY_CANDIDATES: '<b>Candidates</b> in Your District',
                PUSH_NOTIFICATIONS: 'Push <b>Notifications</b>',
                AND_MORE: 'and More...',
                CONTINUE: '<b>Continue</b>',
                TOGGLE_LANGUAGE: 'Toggle Language',


                // Disclaimer
                DISCLAIMER_TITLE: 'Disclaimer',
                DISCLAIMER_SUBTITLE: '',
                DISCLAIMER_MESSAGE: 'VoteNote is an Electoral Assistant Application for the 42nd Federal Election.<br/><br/>VoteNote is a completely anonymous service and any and all information received from your device does not contain any identifiable information.<br/><br/>VoteNote utilizes information from Elections Canada and other places to provide up to date information concerning the 42nd Canadian General Election.<br/><br/>For verification of any information found on this app please refer to Elections Canada.',
                THINGS_TO_DO_TITLE: 'Things to do',
  
                THINGS_TO_DO: 'Complete the checklist to register and find out all the information you need to know to cast your vote.<br/><br/>Look at which candidates are campaigning in your district.<br/><br/>If a candidate’s message is blank, you can tweet the party and let them know that you’d like to see what they have to say.<br/><br/>News updates concerning the election will be sent right to your phone so you can stay informed about what’s happening across the country.<br/><br/>Use the Chat button to be connected to our Facebook group where you can let us know anything and everything.',

                // Tabs
                HOME: 'Home',
                POLLING_SITES: 'Polling Sites',
                CANDIDATES: 'Candidates',
                CHECKLIST: 'Checklist',
                MARK_CALENDAR_EVENT: 'Add to Calendar',


                // Home
                CHAT: 'Chat',
                NEWS: 'News',
                COUNTDOWN: 'Countdown',
                DAYS: '<b>days</b>',
                STEP_1_IDENTIFY_DISTRICT: 'Identify Your District',
                YOUR_DISTRICT: 'Your District',
                VOTERS_CHECKLIST: 'Voter\'s Checklist',
                SHARE: 'Invite to VoteNote',
                SETTINGS: 'Settings',
                ABOUT: 'About',
                HOME_SHARE_MESSAGE: 'Download VoteNote for free today!',
                GO_VOTE_TODAY_MESSAGE: '<b>Go Vote Today!</b>',
                UPDATE_VOTENOTE: 'Update VoteNote',
                VOTE_DATE: 'Oct 19<sup>th</sup> 2015',
                TAKE_SURVEY: 'Take the VoteSavvy Quiz!',
                ICAN_PARTY_BTN: 'Platform Guide',
                APATHY_IS_BORING: 'Apathy is Boring',



                // Settings
                RESET_APPLICATION: 'Reset Application',
                RESET_POPUP_TITLE: 'Reset VoteNote?',
                RESET_POPUP_MESSAGE: 'Are you sure you want to reset the app to its initial state?',


                // ABOUT
                CONCEPT: 'Concept',
                SOFTWARE: 'Software',
                DEVELOPED_BY: 'Developed by',
                ABOUT_MESSAGE: 'VoteNote was developed to make voting simpler and easy.<br/><br/>We cut through the hassle surrounding the election process and created an app that brings the power of choice back into the hands of the voter.',


                // Tab-Candidates
                IDENTIFY_DISTRICT: 'Identify Your District',
                //NO_CANDIDATES_AVAILABLE: 'Candidates for your district are currently unavailable.',
                SWIPE_TO_RATE: '<b>Swipe</b> right for the candidate you support.',
                CLICK_TO_VIEW_MSG: '<b>Click</b> the candidate\s name to view their message.',

                // Tab-Requirements
                REGISTRATION: 'How to Register',
                WHEN_CAN_I_VOTE: 'How to Vote',
                REQUIRED_ID: 'What ID do I Need?',
                STUDENT_SERVICES: 'Student Services',
                SPECIAL_CIRCUMSTANCES: 'Additional Info',
                READY: 'Ready',
                ADD_TO_CALANDER_MESSAGE: 'The federal election voting date has been added to your device\'s calendar',
                CALANDER_POPUP_TITLE: 'Voting Day Event',
                ALREADY_ON_CALANDER_P1: 'The Federal Election is on',
                ALREADY_ON_CALANDER_P2: 'and has already been added to your device\'s calendar.',
                THANKS: 'Thanks',
                CALANDER_EVENT_TITLE: 'Federal Election Voting Day',
                CALANDER_EVENT_LOCATION: 'Your polling site, as provided by Elections Canada.',
                CALANDER_EVENT_NOTES: 'The Canadian federal election polling day is today. Go Vote!',
                CALANDER_ADD_EVENT_FAILED_POPUP: 'VoteNote failed to add the event to your device\'s calendar',
                VOTING_VIDEO: 'Elections Canada Video',


                // Requirement-registration
                HOW_TO_REGISTER: '<b>How to Register</b>',
                MUST_BE_REGISTERED: '<b>To vote you must be registered</b>',
                CLICK_BELOW_TO_REGISTER: 'Clicking the link below will take you to Elections Canada where you can:',
                CHECK_TO_SEE_REGISTRATION: '<label>• Check if you\'re registered to vote</label><br/><label>• Update the address on your voter registration</label><br/><label>• <b>Register to vote</b></label>',


                // Requirement-id
                WHAT_ID_DO_I_NEED: '<b>What ID do I Need?</b>',
                REGISTRATION_CARD_NOT_VALID_ID: '*The Voter registration card that is mailed to you is not a valid ID',
                GOVERNMENT_ISSUED_ID: '1 – <b>One Piece of Government Issued ID</b><br/><br/>Photo with the Same Address as your Voter Registration.<br/><br/>e.g.: Driver’s License / Provincial or Territorial ID',
                OR: 'Or',
                TWO_PEICES_OF_ID: '2 – <b>Two Pieces of ID</b><br/><br/>One Piece with your name & one piece with your name and address.<br/><br/>e.g.: Health Card & Phone Bill / Bank Card and Bank Statement',
                TAKE_AN_OATH: '3 – <b>Take an Oath</b><br/><br/>Show two pieces of ID with just your name and have a person who lives within your same district attest on your behalf.<br/><br/>This Person Must:<br/>• Show proof of identity and address<br/>• Be registered in the same polling division<br/>• Only attest for one person',
                FULL_LIST_OF_APPLICABLE_IDS: '<b>ID to Vote</b><br/><br/>You must prove your identity and address to register and vote in a federal election. Here are your ID options when you are voting <em class="italic">in person</em> – at an Elections Canada office, at advance polls or on Election Day.',

                // Requirement-when (now: 'How to Vote')
                HOW_TO_VOTE: '<b>How to Vote</b>',
                VOTE_ON_ELECTION_DAY: '1 – <b>Vote on Election Day</b><br/><br/>On Oct 19th, 2015, use the VoteNote Polling Site locator to find your registered polling site.<br/><br/>Bring your ID and cast your ballot for whichever candidate you think would best represent you in Ottawa.',
                ADVANCE_POLLS: '2 – <b>Advance Polls</b><br/><br/>On the 10th, 9th, 8th and 7th days before an Election (a Friday, Saturday, Sunday & Monday) Advance Polling Sites will be available. They will be open from 12pm – 8pm and will be found on your voter registration card, VoteNote Polling Site Locator or by calling Elections Canada 1-800-463-6868',
                ADVANCE_POLLS_NOTE: '*Registration & ID Requirements will be the same as on Election Day',
                VOTE_ELECTIONS_OFFICE: '3 – <b>Vote at any Elections Canada Office</b><br/><br/>During the election, Elections Canada will have an office open in your district. You can cast your vote at these offices at any time during the election period.<br/><br/>To vote at an Elections Canada office, you must complete an Application for Registration and Special Ballot. Staff can help you with this form, if you\'d like. You must show proof of your identity and home address.<br/><br/>Once your special ballot application is accepted, staff will give you a special ballot voting kit. You can vote on the spot. Or, if you prefer, you can come back to the office to submit your vote later.<br/><br/>You can find your local Elections Canada Office by clicking the link below.',
                VOTE_BY_MAIL: '4 – <b>Vote by Mail</b><br/><br/>Voting by mail means voting by special ballot. Please click the link below and follow the instructions to Vote by Mail for voters living inside and outside of Canada.',
                VOTE_BY_MAIL_DEADLINES: 'Elections Canada must receive your completed application by the deadline:<br/>• If you apply to Elections Canada in Ottawa: Tuesday, October 13 at 6:00 p.m. <i class="italic">Eastern Time</i><br/>• If you apply to a local Elections Canada office: Tuesday, October 13 at 6:00 p.m. <i class="italic">local time</i>',


                // Requirement-student

                CHOOSE_YOUR_RIDING: '<b>Choose your riding</b><br/><br/>• If you live in two places – one while at school, the other while away from school – choose which one you consider home and use that address to register. You vote for a candidate in the riding where your home address is located.',
                YOUR_SCHOOL_ID: '*Your School ID card is a valid piece of Identification.',
                STUDENT_AT_HOME: '<b>Are you a student who lives at home and commutes to school?</b><br/><br/>• You can cast your vote in your home district.',
                STUDENT_LIVE_ON_CAMPUS: '<b>Do you live on campus?</b><br/><br/>• On election day and advance voting days: Polls may be set up on your campus, usually in or near student residences. You can vote there only if you live on campus and consider your campus residence as your home.',
                STUDENT_LIVE_OFF_CAMPUS: '<b>Do you live off campus and are too far away to vote in your home district?</b><br/>(Out of province students, etc.)<br/><br/>• You will need to register the address in which you reside at the time of the election to cast your vote.<br/>• This means that you will either need to get a letter from your school with your off campus residency or a bill with your off campus residency to cast your vote.<br/>• You can cast your vote in your off campus residency district.',
                STUDENT_OFF_CAMPUS_HOME_DISTRICT: '<b>Do you live on campus and wish to cast a vote in your home district?</b><br/><br/>• To cast a vote for your home district you need to fill out a special ballot.<br/>• To register for a special ballot, click on the PDF button below and email yourself the form.<br/>• Take the completed for down to any Elections Canada with your proof of ID.<br/>• The deadline to register for special ballot is the 13th of October 2015.<br/>• After your registration is complete you will receive your Special Ballot which allows you to vote for your home districts candidate.<br/>• Use the VoteNote Postal Code Search with your home’s postal code to see the candidates running in your district.',
                STUDENT_SERVICES_TITLE: '<b>Student Services</b>',

                // Requirement-Special (Additional Info)
                ADDITIONAL_INFO: '<b>Additional Info</b>',
                ABORIGINAL_VOTERS_GUIDE: '<b>Aboriginal Voters Guide</b>',
                INFORMATION_FOR_DISABILITIES: '<b>Information for People with Disabilities</b>',
                ETHNOCULTURAL_COMMUNITIES: '<b>Information for Voters in Ethnocultural Communities</b>',
                LIVING_ABROAD: '<b>Registration and Voting Processes for Canadians Living Abroad</b>',
                VOTING_GUIDE: '<b>Voting Guides and ID requirements available in 31 different languages.</b>',
                ARMED_FORCES: '<b>Voting for members of the Canadian Armed Forces</b>',
                INCARCERATED_VOTERS: '<b>Voting for Incarcerated Voters</b>',
                CIVIC_INFORMATION: '<b>Inspire Democracy – Civic Information</b>',


                // Requirements-Video
                VOTING_VIDEO_TITLE: '<b>Elections Canada Video</b>',

                // Tab-Locations
                IDENTIFY_POLLING_LOCATION: 'Find my Polling Location',
                POLLING_SITES_AVAILABILITY: 'Polling Sites will be available after September 25th, 2015', 
                RIDE_WITH_UBER: "Ride there with Uber!",
                // Location Detail
                GET_DIRECTIONS: 'Get Directions',


                // No Connection
                NO_NETWORK_CONNECTION: '<u><b>No Network Connection</b></u>',
                REQUIRES_A_CONNECTION: 'VoteNote requires a connection to the internet.',
                WILL_RESUME_ON_CONNECTION: 'VoteNote will resume once a connection is established.',

                // Candidate Detail
                BIOGRAPHY: 'Candidate\'s Message',
                SHARE_CANDIDATE: 'Share this Candidate!',
                DID_NOT_PROVIDE_BIOGRAPHY: 'This candidate is not yet signed up for VoteNote.<br/><br/>VoteNote built this space so that you can compare all the candidates in your district in a side by side comparison and see who will best represent you in Ottawa.<br/><br/>Use the buttons above to invite the candidate and let them know that you want to hear what they will do for your community, your country & your vote.',
                I_SUPPORT_THIS_CANDIDATE: 'I support this candidate',
                FACEBOOK_SHARE_MSG: 'Post to Facebook',
                DISAPPROVE: 'Disapprove',
                APPROVE: 'Approve',
                ABOUT_ME: 'ABOUT ME',
                MY_PARTY: "MY PARTY",
                POLICIES: "POLICIES",
                MY_DISTRICT: "MY DISTRICT",


                // District Search
                IMPORTANT: '<b>Important</b>',
                MUST_BE_AT_HOME: 'You must be at home to use GPS location.',
                AUTOMATIC_IDENTIFICATION: 'GPS Search',
                USE_GPS: 'Use GPS',
                MANUAL_POSTAL_CODE_ENTRY: 'Postal Code Search',
                CLICK_TO_ENTER: '<b>Click to enter</b>',
                USE_POSTAL_CODE: 'Use Postal Code',
                YOUR_DISTRICT_IS_POPUP: 'Your Federal Electoral District:',
                ELECTORAL_DISTRICT: 'Electoral District',
                OK: 'Ok',
                GPS_FAILED_POPUP: 'GPS Location could not be accurately determined. Location services on your device may be disabled. Please use the postal code search.',
                POSTAL_CODE_FAILED_POPUP: 'Postal Code was not recognized',


                // Uber
                UBER_BLURB: 'Hey guys, for those who haven\'t tried Uber yet, it\'s a greatest way to ride home safe. We\'ve partnered with Uber to offer you up $20 off on your first ride, simply use the promo code VOTENOTE while signing up. You have until November 30th 2015 to enjoy your free ride!',
                UBER_HOW: '<b>HOW TO PARTICIPATE?</b>',
                UBER_PARTICIPATE: '1. Download the free Uber App<br/>2. Enter the promocode "VOTENOTE"<br/>3. And that\'s it, you now have 20$ off your first ride!',

            })

            .translations('fr', {
                // Welcome
                YOUR_PERSONAL_ASSISTANT: 'Votre Assistant Personnel...',
                FOR_WHAT_ELECTION: 'La 42<sup>e</sup> Élection Fédérale!',
                VOTING_REQUIREMENTS: '<b>Exigences</b> de vote ',
                MY_LOCATIONS: 'Comment se render au  <b>vote</b>',
                MY_CANDIDATES: '<b>Candidats</b> dans votre circonscription',
                PUSH_NOTIFICATIONS: '<b>Notifications</b> directes',
                AND_MORE: 'et plus...',
                CONTINUE: '<b>Continuer</b>',
                TOGGLE_LANGUAGE: 'Changez la langue',

                // Disclaimer
                DISCLAIMER_TITLE: 'Avertissement',
                DISCLAIMER_SUBTITLE: '',
                DISCLAIMER_MESSAGE: 'VoteNote est votre assistant personnel pour les 42e élections fédérales.<br/><br/>VoteNote est un service complètement anonyme et toute information reçue de votre appareil ne contient aucune trace identifiable.<br/><br/>VoteNote utilise les informations fournies par Élections Canada ainsi que d\'autres sources pour livrer les dernières nouvelles concernant les 42e élections fédérales canadiennes.<br/><br/>Pour la vérification de toute information trouvée sur cette application, s\'il-vous-plaît vous référer à Élections Canada.',
                
                THINGS_TO_DO_TITLE: 'Choses à faire',
                THINGS_TO_DO: 'Completez la liste de contrôle pour vous enregistrer et pour trouver toutes informations importants pour le jour de scrutin.<br/><br/>Trouvez les candidats dans votre circonscription.<br/><br/>Si le message d\'un candidat est vide, vous pouvez tweeter le parti et leur montrer votre intérêt pour leur message.<br/><br/>Des nouvelles relatives à l\'élection seront envoyés directement sur votre téléphone afin que vous puissiez rester informé sur ce qui se passe à travers le pays.<br/><br/>Utilisez lqa fonction messagerie pour trouver notre groupe Facebook où vous pouvez nous joindre n\'importe quand.',


                // Tabs
                HOME: 'Accueil',
                POLLING_SITES: 'Bureau de Scrutin',
                CANDIDATES: 'Candidats',
                CHECKLIST: 'Aide Mémoire',
                MARK_CALENDAR_EVENT: 'Ajouter au Calendrier',

                // Home
                CHAT: 'Messagerie',
                NEWS: 'Nouvelles',
                COUNTDOWN: 'Décompte',
                DAYS: '<b>jours</b>',
                STEP_1_IDENTIFY_DISTRICT: 'Sélectionnez votre circonscription',
                YOUR_DISTRICT: 'Votre circonscription',
                VOTERS_CHECKLIST: 'Aide Mémoire',
                SHARE: 'Partagez VoteNote',
                SETTINGS: 'Paramètres',
                ABOUT: 'En savoir plus',
                HOME_SHARE_MESSAGE: 'Télécharger VoteNote gratuitement aujourd’hui',
                GO_VOTE_TODAY_MESSAGE: '<b>Allez voter aujourd’hui!</b>',
                UPDATE_VOTENOTE: 'Mettre à jour VoteNote',
                VOTE_DATE: 'Oct 19<sup>e</sup> 2015',
                TAKE_SURVEY: 'Prenez le quiz Votesavvy!',
                ICAN_PARTY_BTN: 'Guide de Plateforme',
                APATHY_IS_BORING: 'L\'apathie c\'est plate',

        
                // Settings
                RESET_APPLICATION: 'Ré-initialiser l’application',
                RESET_POPUP_TITLE: 'Ré-initialiser VoteNote?',
                RESET_POPUP_MESSAGE: 'Etes-vous sure de vouloir ré-initialiser l’application à ces paramètres initiales?',

                // ABOUT
                CONCEPT: 'Concept',
                SOFTWARE: 'Logiciel',
                DEVELOPED_BY: 'Développé par',
                ABOUT_MESSAGE: 'VoteNote a été développé pour simplifier le processus de vote.',


                // Tab-Candidates
                IDENTIFY_DISTRICT: 'Identifier votre circonscription',
                //NO_CANDIDATES_AVAILABLE: ‘Les candidates pour voter circonscription ne song pas disponible en ce moment.',

                // Tab-Requirements
                REGISTRATION: 'Comment s\'inscrire',
                WHEN_CAN_I_VOTE: 'Comment voter',
                REQUIRED_ID: 'Pièces d\'identité requises',
                STUDENT_SERVICES: 'Services aux étudiants',
                SPECIAL_CIRCUMSTANCES: 'Info supplémentaires',
                READY: 'Prêt',
                ADD_TO_CALANDER_MESSAGE: 'Le jour de scrutin pour l’élection fédéral a été ajouter au calendrier de votre appareil.',
                CALANDER_POPUP_TITLE: 'Evenement du jour de scrutin',
                ALREADY_ON_CALANDER_P1: 'L’élection fédéral est le',
                ALREADY_ON_CALANDER_P2: 'et à déjà été ajouter au calendrier de votre appareil.',
                THANKS: 'Merci',
                CALANDER_EVENT_TITLE: 'Jour de scrutin de l’élection fédérale',
                CALANDER_EVENT_LOCATION: 'Votre bureau de vote d’après Élections Canada.',
                CALANDER_EVENT_NOTES:  'Le jour de scrutin pour l’élection canadienne est aujourd’hui. Allez voter!',
                CALANDER_ADD_EVENT_FAILED_POPUP: 'VoteNote n’a pas pu ajouter l’évenement au calendrier de voter appareil.',
                VOTING_VIDEO: 'Vidéo d\'Elections Canada',

                // Requirement-registration
                HOW_TO_REGISTER: '<b>Comment s’enregistrer</b>',
                MUST_BE_REGISTERED: '<b>Pour voter il faut s’enregistrer</b>',
                CLICK_BELOW_TO_REGISTER: 'Le lien ci-dessous vous emmènera au site d’Élections Canada où vous pourrez:',
                CHECK_TO_SEE_REGISTRATION: '<label>• Cliquez ici si vous êtes déjà enregistré pour voter</label><br/><label>• Mettre à jour l’adresse dans vos renseignements d’inscription.</label><br/><label>• <b>S’enregistrer pour voter</b></label>',


                // Requirement-id
                WHAT_ID_DO_I_NEED: '<b>Pièce d\'identité requise</b>',
                REGISTRATION_CARD_NOT_VALID_ID: '*La carte d’information de l’électeur envoyée par la poste n’est pas une pièce d’identité valide.',
                GOVERNMENT_ISSUED_ID: '1 – <b>Une pièce d’identité gouvernementale </b><br/><br/>Avec photo et la même adresse que celle indiquée sur votre carte d’information de l’électeur.<br/><br/>Par exemple : Permis de conduire / pièce d’identité provinciale ou territoriale',
                OR: 'Ou',
                TWO_PEICES_OF_ID: '2 – <b>Deux pièces d’identité</b><br/><br/>Une pièce avec votre nom et une avec votre nom et votre adresse.<br/><br/>Par exemple : Carte d’assurance-maladie et facture de téléphone / carte bancaire et relevé bancaire',
                TAKE_AN_OATH: '3 – <b>Prêter serment</b><br/><br/>Présenter deux pièces portant votre nom, et demander à quelqu’un qui vous connaît d’attester votre adresse.<br/><br/>Cette personne doit:<br/>• présenter une preuve d’identité et d’adresse<br/>• être inscrite dans la même section de vote<br/>• attester l’adresse d’un seul électeur',
                FULL_LIST_OF_APPLICABLE_IDS: '<b>Pièces d\'identité pour voter</b><br/><br/>Pour vous inscrire et voter à une élection fédérale, vous devez prouver votre identité et votre adresse. Voici vos options d\'identification pour voter en personne – à un bureau d\'Élections Canada, lors du vote par anticipation ou le jour de l\'élection:',

                // Requirement-when (now: 'How to Vote')
                HOW_TO_VOTE: '<b>Comment voter</b>',
                VOTE_ON_ELECTION_DAY: '1 – <b>Voter le jour de l’élection</b><br/><br/>Le 19 octobre, utilisez VoteNote pour localiser votre bureau de vote.<br/><br/>Apportez vos pièces d’identité et votez pour le ou la candidat(e) vous pensez vous représentera le mieux à Ottawa.',
                ADVANCE_POLLS: '2 – <b>Voter à votre bureau de vote par anticipation</b><br/><br/>Les bureaux de vote par anticipation sont ouverts de midi à 20h (heure locale) les 10e, 9e, 8e, et 7e jours précédant le jour de l’élection (soit un vendredi, un samedi, un dimanche et un lundi). Vous pourrez obtenir les dates du vote par anticipation et l’adresse de votre lieu de vote par anticipation en consultant le site Web ci-dessous ou votre carte d’information de l’électeur, sur VoteNote ou en téléphonant à Élections Canada.',
                ADVANCE_POLLS_NOTE: '*Les exigences d’identification et d’enregistrement sont les mêmes qu’au jour de l’élection.',
                VOTE_ELECTIONS_OFFICE: '3 – <b>Voter à n’importe quel bureau d’Élections Canada</b><br/><br/>Après le déclenchement d’une élection, Élections Canada ouvre un bureau local dans chaque circonscription du Canada, incluant la vôtre. Vous pouvez voter dans ce bureau local à n’importe quel moment de la campagne électorale.<br/><br/>Pour voter à un bureau d’Élections Canada, vous devez remplir une Demande d’inscription et de bulletin de vote spécial. Un préposé peut vous aider à remplir ce formulaire si vous le désirez. Vous devez aussi prouver votre identité et votre adresse de résidence. <br/><br/>Une fois votre demande de vote par bulletin spécial acceptée, un préposé vous remettra une trousse de vote par bulletin spécial. Vous pourrez alors voter sur place ou, si vous le préférez, revenir plus tard au bureau pour déposer votre bulletin de vote.',
                VOTE_BY_MAIL: '4 - <b>Voter par la post</b><br/><br/>Voter par la poste veut dire voter avec un bulletin spécial. Cliquez sur le lien ci-dessous et suivez les instructions pour votez par la poste à partir du Canada ou de l’étranger.',
                VOTE_BY_MAIL_DEADLINES: 'Élections Canada doit recevoir votre demande dûment remplie au plus tard à la date limite:<br/>• si vous faites votre demande auprès d\'Élections Canada à Ottawa : le mardi 13 octobre à 18 h (heure de l\'Est)<br/>• si vous faites votre demande à un bureau local d\'Élections Canada : le mardi 13 octobre à 18 h (heure locale).',

                // Requirement-student
                CHOOSE_YOUR_RIDING: '<b>Le choix de votre circonscription</b><br/><br/>• Si vous vivez à deux endroits (p. ex. l\'un où vous étudiez, et l\'autre lorsque vous n\'allez pas à l\'école), choisissez celui que vous considérez comme votre domicile et utilisez cette adresse pour vous inscrire. Vous votez pour un candidat qui se présente dans la circonscription où se trouve votre domicile.',
                YOUR_SCHOOL_ID: '*Votre carte étudiante est une pièce d’identité valide.',
                STUDENT_AT_HOME: '<b>Êtes-vous un étudiant qui vit avec ses parents et qui fait la navette vers l’école?</b><br/><br/>• Vous pouvez voter dans votre circonscription de résidence.',
                STUDENT_LIVE_ON_CAMPUS: '<b>Vivez-vous dans une résidence universitaire?</b><br/><br/>• Cette élection, Élections Canada pourrait y avoir  un bureau de vote près de votre campus.',
                STUDENT_LIVE_OFF_CAMPUS: '<b>Vivez-vous hors campus et / ou trop loin pour retourner dans votre circonscription de vote?</b><br/>(étudiants hors-province, etc.)<br/><br/>• Vous devriez enregistrer l’adresse au quel vous residez au moment de l’élection pour pouvoir voter.<br/>• Ce qui veut dire que soit vous allez devoir obtenir une lettre de votre école avec votre residence hors campus ou une facture avec cette adresse pour pouvoir voter.<br/>• Vous allez pouvoir voter dans votre bureau de vote hors campus.',
                STUDENT_OFF_CAMPUS_HOME_DISTRICT: '<b>Vous vivez hors campus et vous voulez voter dans votre circonscription d’origine?</b><br/><br/>• Pour voter dans votre circonscription de résidence vous devez completer un bulletin spécial<br/>• Pour vous inscrire au vote par bulletin spécial, cliquez sur le PDF ci-dessous et envoyez-vous le formulaire par email.<br/>• Apportez le formulaire complété dans un bureau d’Élections Canada avec une preuve d’identité.<br/>• La date limite pour s’inscrire  au vote par bulletin spécial est le 13 octobre 2015.<br/>• Une fois votre inscription complétée, vous recevrez votre bulletin spécial qui vous permettra de voter pour les candidats dans votre circonscription de résidence.<br/>• Utilisez la fonction Recherche de Code Postal sur VoteNote pour trouver les candidats de votre circonscription de résidence.<br/>',
                STUDENT_SERVICES_TITLE: '<b>Services aux étudiants</b>',

                // Requirement-Special (Additional Info)
                ADDITIONAL_INFO: '<b>Infos supplémentaires</b>',
                ABORIGINAL_VOTERS_GUIDE: '<b>Guide pour les électeurs autochtones</b>',
                INFORMATION_FOR_DISABILITIES: '<b>Informations pour personnes handicapées</b>',
                ETHNOCULTURAL_COMMUNITIES: '<b>Informations pour les électeurs dans les communautés ethnoculturelles.</b>',
                LIVING_ABROAD: '<b>Enregistrement et processus de vote pour Canadiens vivant en dehors du Canada</b>',
                VOTING_GUIDE: '<b>Guide de vote et exigences d’identification disponible dans 31 langues différences.</b>',
                ARMED_FORCES: '<b>Guide de vote pour les membres des Forces canadiennes.</b>',
                INCARCERATED_VOTERS: '<b>Guide de vote pour électeurs incarcérés</b>',
                CIVIC_INFORMATION: '<b>Inspire la Démocratie – Informations civiques</b>',


                // Requirements-Video
                VOTING_VIDEO_TITLE: '<b>Vidéo d\'Elections Canada</b>',

                // Tab-Locations
                IDENTIFY_POLLING_LOCATION: 'Trouver mon bureau de vote',
                POLLING_SITES_AVAILABILITY: 'Les bureaux de vote seront disponibles après le 25 septembre 2015.',
                RIDE_WITH_UBER: "Déplacez-vous avec Uber!", 


                // Location Detail
                GET_DIRECTIONS: 'Recevoir des directions',

                // No Connection
                NO_NETWORK_CONNECTION: '<u><b>Pas de réseau</b></u>',
                REQUIRES_A_CONNECTION: 'VoteNote a besoin d’une connection à l’internet.',
                WILL_RESUME_ON_CONNECTION: 'VoteNote va redémarrer lorsque la connection à l’internet sera re-établi.',

                // Candidate Detail
                BIOGRAPHY: 'Le Message du Candidat',
                SHARE_CANDIDATE: 'Partager ce Candidat!',
                DID_NOT_PROVIDE_BIOGRAPHY: 'Ce candidat n\'est pas encore enregistré sur VoteNote.<br/><br/>VoteNote a conçu cet espace pour que vous puissiez comparer côte à côte tous les candidats de votre circonscription, pour faciliter votre choix électoral.<br/><br/>Utilisez les boutons ci-dessus pour inviter un candidat à se joindre à VoteNote et pour lui dire que vous voulez en savoir plus sur ce qu\'il va faire pour votre communauté, pour votre pays et pour votre vote.',
                I_SUPPORT_THIS_CANDIDATE: 'Je soutiens ce candidat',
                FACEBOOK_SHARE_MSG: 'Partager sur Facebook', 
                DISAPPROVE: 'Rejeter',
                APPROVE: 'Approuver', 


                // District Search
                IMPORTANT: '<b>Important</b>',
                MUST_BE_AT_HOME: 'Assurez-vous d\'être chez vous avant d\'utiliser le localisateur GPS',
                AUTOMATIC_IDENTIFICATION: 'Recherche GPS',
                USE_GPS: 'Utiliser GPS',
                MANUAL_POSTAL_CODE_ENTRY: 'Recherche code postale',
                CLICK_TO_ENTER: '<b>Cliquez ici pour soumettre</b>',
                USE_POSTAL_CODE: 'Utiliser Code Postale',
                YOUR_DISTRICT_IS_POPUP: 'Votre circonscription de vote fédérale:',
                ELECTORAL_DISTRICT: 'Circonscription éléctorale',
                OK: 'Ok',
                GPS_FAILED_POPUP: 'Localisation GPS n’a pas réussi à vous trouver avec précision . Les services de localisation sur votre appareil peuvent être désactivées . S’il vous plaît utiliser la recherche par code postal.',
                POSTAL_CODE_FAILED_POPUP: 'Code postal n’a pas été reconnu',

                 // Uber
                UBER_BLURB: 'Pour ceux qui n\'ont pas encore essayé Uber, c\'est la façon la plus sécuritaire et abordable de se déplacer en ville. Nous avons établi un partenariat avec Uber pour vous offrir 20$ de réduction sur votre première course. Utilisez le code promo VOTENOTE en vous inscrivant et profitez d\'une course gratuite jusqu’à 20$ d\'ici le 30 Novembre 2015.',
                UBER_HOW: '<b>COMMENT EN BÉNÉFICIER?</b>',
                UBER_PARTICIPATE: '1. Téléchargez l\'app gratuite Uber<br/>2. Entrez le code promo "VOTENOTE"<br/>3. Et voilà, vous avez 20$ sur votre première course!',

            });


      if(window.localStorage.getItem('currentLanguage') == null){
        $translateProvider.preferredLanguage('en');
        window.localStorage.setItem('currentLanguage', 'en');
      }
      else{
        $translateProvider.preferredLanguage(window.localStorage.getItem('currentLanguage'));
      }


})



.config(function($ionicConfigProvider) {
    //$ionicConfigProvider.views.transition('ios');
    $ionicConfigProvider.tabs.style('standard').position('bottom');
    $ionicConfigProvider.navBar.alignTitle('center').positionPrimaryButtons('left');
    $ionicConfigProvider.views.transition('none');
});
