/* © Touch Base Media, 2015, All Rights Reserved */

angular.module('starter.controllers', [])

.controller('IndexCtrl', function ($scope, $state, $rootScope, $ionicPlatform, $filter, $ionicUser, $ionicHistory, $cordovaDevice, $cordovaNetwork, RequirementStatus) {
 
     document.addEventListener("deviceready", function () {
        // Disable BACK button on home
        $ionicPlatform.registerBackButtonAction(function (event) {
          if($state.current.name =="no-network-connection"){
            navigator.app.exitApp();
          }
          else {
            navigator.app.backHistory();
          }

          if($ionicHistory.backView() == 'no-network-connection'){
            navigator.app.exitApp();
          }
        }, 100);
    });

    $scope.openNotifications = function () {
        $state.go('tab.notifications');
    }

})


.controller('LandingCtrl', function ($scope, $state, $ionicPlatform, $cordovaDevice, Config, Translator) {

  ionic.Platform.ready(function(){
    if(window.localStorage.getItem('isFirstAppOpen') != 'false'){
      window.localStorage.clear();
      function guid() {
        var S4 = function() {
         return (((1+Math.random())*0x10000)|0).toString(16).substring(1);
        };
        return (S4()+S4()+"-"+S4()+"-"+S4()+"-"+S4()+"-"+S4()+S4()+S4());
      }
      window.localStorage.setItem('user_ID', guid());
      console.log("GUID: " + window.localStorage.getItem('user_ID'));
      window.localStorage.setItem('isFirstAppOpen', 'false');
      Translator.toggleAppLanguage();
      $state.go("welcome");     
    }
    else{
      $state.go('tab.home');
    }
  });
})

.controller('WelcomeCtrl', function ($scope, $state, $ionicUser, $ionicPlatform, $cordovaDevice, $cordovaNetwork, Config, Notifications, Translator) {
  
  document.addEventListener("deviceready", function () {
   var isOnline = $cordovaNetwork.isOnline();
    if(!isOnline){
      $state.go("no-network-connection");
    }
    window.localStorage.setItem('isFirstAppOpen', 'false');
  });

    $scope.openDisclaimer = function (){
       $state.go('disclaimer');
    };

    $scope.toggleLanguage = function(){
      Translator.toggleAppLanguage();
    }
})

.controller('HomeCtrl', function ($scope, $filter, $rootScope, $state, $cordovaAppAvailability, $timeout, $ionicLoading , $cordovaDevice, $ionicPlatform, $ionicHistory, $stateParams, $cordovaNetwork, Config, RequirementStatus, RefreshLocalDataService, Translator, UberDistricts) {

 $ionicPlatform.ready(function() {
    if (window.Connection) {
      var isOnline = $cordovaNetwork.isOnline();
      if(!isOnline){
        $state.go("no-network-connection");
      }
      $rootScope.$on('$cordovaNetwork:online', function(event, networkState) {
        $state.go("tab.home");
      })
      $rootScope.$on('$cordovaNetwork:offline', function(event, networkState) {
        $state.go("no-network-connection");
      })
    }


   
    $scope.currentLanguage = Translator.getCurrentLanguage();


    $ionicLoading.show({
    template: '<ion-spinner icon="ripple"/>',
    animation: 'fade-in',
    showBackdrop: true,
    maxWidth: 200,
    showDelay: 0
    });

    $timeout(function() {
      $ionicLoading.hide();
    }, 10000);

    if(window.localStorage.getItem('hasIdentifiedDistrict') == 'true'){
          $scope.hasIdentifiedDistrict = 'true';
          $scope.usersDistrict = window.localStorage.getItem('usersDistrict');
    }
    else{
      window.localStorage.setItem('hasIdentifiedDistrict', 'false');
      $scope.hasIdentifiedDistrict = 'false';
    }
   

    UberDistricts.checkIfUberAvailableInMyDistrict().then(function (data){
      $scope.isUberAvailable = data;
    });


    Config.getValueForKey("Link_VoteNote_Chat").then(function (data){
      $scope.Link_VoteNote_Chat = data;
    });

    Config.getValueForKey("Link_Apple_Store").then(function (data){
      $scope.Link_Apple_Store = data;
    });

    Config.getValueForKey("Link_Google_Store").then(function (data){
      $scope.Link_Google_Store = data;
    });

    Config.getValueForKey("Link_VoteSavvy_Survey").then(function (data){
      $scope.Link_VoteSavvy_Survey = data;
    });


    if($scope.currentLanguage == 'en'){
      Config.getValueForKey("Link_iCANParty_English").then(function (data){
        $scope.Link_iCANParty = data;
      });
    }
    else{
      Config.getValueForKey("Link_iCANParty_French").then(function (data){
        $scope.Link_iCANParty = data;
      });
    }


    if($scope.currentLanguage == 'en'){
      Config.getValueForKey("Link_VoteCompass_English").then(function (data){
        $scope.Link_VoteCompass = data;
        $scope.Image_VoteCompass = "img/vote_compass_english.png";
      });
    }
    else{
      Config.getValueForKey("Link_VoteCompass_French").then(function (data){
        $scope.Link_VoteCompass = data;
        $scope.Image_VoteCompass = "img/vote_compass_french.png";
      });
    }



      Config.getValueForKey("Link_Instagram_English").then(function (data){
        $scope.Link_Instagram_English = data;
      });
    
      Config.getValueForKey("Link_Instagram_French").then(function (data){
        $scope.Link_Instagram_French = data;
      });


      Config.getValueForKey("Link_Pledge_To_Vote_English").then(function (data){
        $scope.Link_Pledge_To_Vote_English = data;
      });
      
    
    if($scope.currentLanguage == 'en'){
      Config.getValueForKey("Link_ApathyIsBoring_English").then(function (data){
        $scope.Link_ApathyIsBoring = data;
      });
    }
    else{
      Config.getValueForKey("Link_ApathyIsBoring_French").then(function (data){
        $scope.Link_ApathyIsBoring = data;
      });
    }

    Config.getValueForKey("Show_VoteCompass_Button").then(function (data){
      $scope.Show_VoteCompass_Button = data;
    });
    Config.getValueForKey("Show_Survey_Button").then(function (data){
      $scope.Show_Survey_Button = data;
    });
    
    Config.getValueForKey("Show_iCANParty_Button").then(function (data){
      $scope.Show_iCANParty_Button = data;
    });

    Config.getValueForKey("Show_ApathyIsBoring_Button").then(function (data){
      $scope.Show_ApathyIsBoring_Button = data;
    });

    Config.getValueForKey("Show_Uber_Button").then(function (data){
      $scope.Show_Uber_Button = data;
      $ionicLoading.hide();
    });

    

    

   //  Config.getValueForKey("NextElectionDate").then(function (data){
      $scope.shouldHideCountdownAndDate = 'false'; 
      // Set the date of the upcoming election:
      var currentDate = new Date();
      var nextElectionDate = new Date(Date.parse('2015-10-20T00:00:00.000Z'));


      var timer = {};
      timer.days =  Math.round((nextElectionDate - currentDate) / (1000*60*60*24));
      $scope.timer = timer;

      if(timer.days > 0){

        $scope.showVoteDayCountDown = 'true';
      }
      else if (timer.days == 0){
        console.log('Today is election day!');
        $scope.showVoteDayCountDown = 'false';
      }
      else{
        $scope.showVoteDayCountDown = 'false';
        $scope.shouldHideCountdownAndDate = 'true'; 
      }
    //});


     document.addEventListener("deviceready", function () {
        
        if (device.platform == 'android' || device.platform == 'Android'){
          $cordovaAppAvailability.check('com.ubercab')
                .then(function() {
                  $scope.isUberInstalled = true;
                }, function () {
                  $scope.isUberInstalled = false;
                });
        }
        else{
          $cordovaAppAvailability.check('uber://')
              .then(function() {
                $scope.isUberInstalled = true;
              }, function () {
                $scope.isUberInstalled = false;
              });
        }
      

     cordova.getAppVersion(function(version) {
            if (device.platform == 'android' || device.platform == 'Android'){
              Config.getValueForKey("App_Version_Android").then(function (data){
                if(version != data){
                   $scope.shouldShowUpdateButton = true;  
                   $scope.deviceIsAndroid = true;
                   $scope.appStoreLink = $scope.Link_Google_Store;
                }
                else{
                  $scope.shouldShowUpdateButton = false;
                }
              });
            }
            else{
              Config.getValueForKey("App_Version_iOS").then(function (data){
                if(version != data){
                  $scope.shouldShowUpdateButton = true;  
                    $scope.deviceIsAndroid = false;
                    $scope.appStoreLink = $scope.Link_Apple_Store;
                }
                else{
                  $scope.shouldShowUpdateButton = false;
                }
              });
            }
      });
  });


  $scope.shareButtonClick = function (){
    var $translate = $filter('translate');
    var shareMessage = $translate('HOME_SHARE_MESSAGE');
    window.plugins.socialsharing.share(shareMessage + ' http://votenote.ca ' + ' Apple: ' + $scope.Link_Apple_Store + ' Android: ' + $scope.Link_Google_Store , null, null, '');

    //Analytics:
    if (window.localStorage.getItem('usersDistrict') != null){
      var dimensions = {
             district: window.localStorage.getItem("usersDistrict"),
      };
      Parse.Analytics.track('homeShareButtonUsed', dimensions);
    }
    else{
      Parse.Analytics.track('homeShareButtonUsed', null);
    }
    console.log("Sent Analytics: homeShareButtonUsed");
  };

  RequirementStatus.initializeRequirementStatusStorage();
 });
})


.controller('NotificationsCtrl', function ($scope, $ionicLoading, $timeout, $cordovaNetwork, Notifications, Translator) {

      $ionicLoading.show({
        template: '<ion-spinner icon="ripple"/>',
        animation: 'fade-in',
        showBackdrop: true,
        maxWidth: 200,
        showDelay: 0
        });

        $timeout(function() {
          $ionicLoading.hide();
        }, 10000);


    document.addEventListener("deviceready", function () {
     var isOnline = $cordovaNetwork.isOnline();
      if(!isOnline){  
        $state.go("no-network-connection");
      }
    });


    Notifications.getAll().then(function (data){
        $scope.notifications = data;
        $ionicLoading.hide();
      });

    $scope.currentLanguage = Translator.getCurrentLanguage();

})

.controller('SettingsCtrl', function ($scope, $state, $filter, $ionicPopup, $ionicHistory, RequirementStatus, Translator) {

     // A confirm dialog
     $scope.resetApplicationDataButtonClick = function () {
       var $translate = $filter('translate');
       var resetTitle = $translate('RESET_POPUP_TITLE');
       var resetMessage = $translate('RESET_POPUP_MESSAGE');

       var confirmPopup = $ionicPopup.confirm({
         title: resetTitle,
         template: resetMessage       
       });
       confirmPopup.then(function (result) {
         if(result) {
            //window.localStorage.clear();
            $ionicHistory.clearCache();
            window.localStorage.setItem("usersDistrict", null);
            window.localStorage.setItem('hasIdentifiedDistrict', null);
            window.localStorage.setItem('isUserAwareOfSpecialCircumstances', 'false');
            window.localStorage.setItem('isUsersStudentInfoReady', 'false');
            window.localStorage.setItem('isUsersIDReady', 'false');
            window.localStorage.setItem('isUsersVoteDatePicked', 'false');
            window.localStorage.setItem('isUserRegistered', 'false');
            window.localStorage.setItem('userHasWatchedVideo', 'false');

            $state.go("welcome");     
         };
       });
    }

    $scope.toggleLanguage = function(){

      Translator.toggleAppLanguage();
    }

})

.controller('AboutCtrl', function ($scope) {
      // For Copyright notice
      $scope.date = new Date();
})

.controller('LocationsCtrl', function ($scope, $ionicLoading, $timeout, $cordovaAppAvailability, Locations, Translator, Config, UberDistricts) {
    
        $scope.hasIdentifiedDistrict = window.localStorage.getItem("hasIdentifiedDistrict");
        
        if($scope.hasIdentifiedDistrict == "true"){
          $scope.usersDistrict = window.localStorage.getItem("usersDistrict");

          // Locations.getAll().then(function (data){
          //     $scope.locations = data;
          //    // $ionicLoading.hide();
          // });
        }

      $scope.currentLanguage = Translator.getCurrentLanguage();


      $ionicLoading.show({
      template: '<ion-spinner icon="ripple"/>',
      animation: 'fade-in',
      showBackdrop: true,
      maxWidth: 200,
      showDelay: 0
      });

      $timeout(function() {
        $ionicLoading.hide();
      }, 10000);



      document.addEventListener("deviceready", function () {
        if (device.platform == 'android' || device.platform == 'Android'){
          $cordovaAppAvailability.check('com.ubercab')
                .then(function() {
                  $scope.isUberInstalled = true;
                }, function () {
                  $scope.isUberInstalled = false;
                });
        }
        else{
          $cordovaAppAvailability.check('uber://')
              .then(function() {
                $scope.isUberInstalled = true;
              }, function () {
                $scope.isUberInstalled = false;
              });
        }
      }, false);

      Config.getValueForKey("Link_Polling_Location_English").then(function (data){
          $scope.Link_Polling_Location_English = data;
      });
      Config.getValueForKey("Link_Polling_Location_French").then(function (data){
          $scope.Link_Polling_Location_French = data;
      });


      UberDistricts.checkIfUberAvailableInMyDistrict().then(function (data){
        $scope.isUberAvailable = data;
        $ionicLoading.hide();
      });




})


.controller('FindDistrictCtrl', function ($scope, $state, $cordovaGeolocation, $cordovaDevice, $filter, $ionicLoading, $timeout, Translator, PostalCode, Districts) {
    
    $scope.currentLanguage = Translator.getCurrentLanguage();
    
    var $translate = $filter('translate');
    $scope.isPostalCodeEntered = false;


    $scope.useGPSForLocation = function (){
    $ionicLoading.show({
      template: '<ion-spinner icon="ripple"/>',
      animation: 'fade-in',
      showBackdrop: true,
      maxWidth: 200,
      showDelay: 0
    });

    $timeout(function() {
      $ionicLoading.hide();
    }, 10000);


    var alertMessage = $translate('YOUR_DISTRICT_IS_POPUP');
    var alertTitle = $translate('ELECTORAL_DISTRICT');
    var alertTextConfirm = $translate('OK');
    var alertFailedMessage = $translate('GPS_FAILED_POPUP');

    console.log("Using GPS");
      var options = { timeout: 10000, enableHighAccuracy: true, maximumAge: 10000 };
      $cordovaGeolocation.getCurrentPosition(options).then(function (position) {
        var latitude  = position.coords.latitude;
        var longitude = position.coords.longitude;


        Districts.getDistrictFromLatLong(latitude,longitude).then(function (response){
          $ionicLoading.hide();
          var obj = response.data.objects[0];

          navigator.notification.alert(alertMessage + " " + obj.name, null, alertTitle, alertTextConfirm);
          window.localStorage.setItem('hasIdentifiedDistrict', 'true');
          window.localStorage.setItem('usersDistrict', obj.name);
          $state.go("tab.home");
          
        });
      }, 
      function(err) {
        $ionicLoading.hide();
        navigator.notification.alert(alertFailedMessage, null, alertTitle, alertTextConfirm);
      });
    };

    
    $scope.usePostalCodeForLocation = function(postalCodeInput){


      if(postalCodeInput != null && postalCodeInput.length > 0)
      {
        $ionicLoading.show({
        template: '<ion-spinner icon="ripple"/>',
        animation: 'fade-in',
        showBackdrop: true,
        maxWidth: 200,
        showDelay: 0
        });

        $timeout(function() {
          $ionicLoading.hide();
        }, 10000);

        var alertMessage = $translate('YOUR_DISTRICT_IS_POPUP');
        var alertTitle = $translate('ELECTORAL_DISTRICT');
        var alertTextConfirm = $translate('OK');
        var alertFailedMessage = $translate('POSTAL_CODE_FAILED_POPUP');

        PostalCode.GetDataFromPostalCode(postalCodeInput).then(function (data){
            if(data.length == 0){
              $ionicLoading.hide();
              navigator.notification.alert(alertFailedMessage, null, alertTitle, alertTextConfirm);
              return;
            }

            $scope.userPostalCodeData = data;

            var latitude = data[0].latitude;
            var longitude = data[0].longitude;

            Districts.getDistrictFromLatLong(latitude,longitude).then(function (response){
              $ionicLoading.hide();
              var obj = response.data.objects[0];
              //navigator.notification.alert(alertMessage + " " + obj.name, null, alertTitle, alertTextConfirm);
              window.localStorage.setItem('hasIdentifiedDistrict', 'true');
              window.localStorage.setItem('usersDistrict', obj.name);
             $state.go("tab.home");
              
            });
          });
      }
    };


})




.controller('RequirementsCtrl', function($scope, $ionicPlatform, $state, $filter, Config, RequirementStatus, Translator) {

      $scope.currentLanguage = Translator.getCurrentLanguage();

      RequirementStatus.isUserRegistered().then(function (data){
        $scope.isUserRegistered = data;
      });

      RequirementStatus.isUsersVoteDatePicked().then(function (data){
        $scope.isUsersVoteDatePicked = data;
      });

      RequirementStatus.isUsersIDReady().then(function (data){
        $scope.isUsersIDReady = data;
      });

      RequirementStatus.isUsersStudentInfoReady().then(function (data){
            $scope.isUsersStudentInfoReady = data
      });

      RequirementStatus.isUserAwareOfSpecialCircumstances().then(function (data){
        $scope.isUserAwareOfSpecialCircumstances = data;
      });

      RequirementStatus.userHasWatchedVideo().then(function (data){
        $scope.hasUserWatchedVideo = data;
      });


    if(window.localStorage.getItem('votingDayAddedToCalander') == 'true'){
        $scope.votingDayAddedToCalander = 'true';
    }

    Config.getValueForKey("NextElectionDate").then(function (data){
      var currentDate = new Date();
      var nextElectionDate = new Date(Date.parse(data));
      $scope.nextElectionDate = data;
    });

    var $translate = $filter('translate');
    var alertMessage = $translate('ADD_TO_CALANDER_MESSAGE');
    var alertTitle = $translate('CALANDER_POPUP_TITLE');
    var alertAlreadyAddedP1 = $translate('ALREADY_ON_CALANDER_P1');
    var alertAlreadyAddedP2 = $translate('ALREADY_ON_CALANDER_P2');
    var alertTextConfirm = $translate('OK');
    var alertTextThanks = $translate('THANKS');
    var alertFailed = $translate('CALANDER_ADD_EVENT_FAILED_POPUP');
    var calanderEventTitle = $translate('CALANDER_EVENT_TITLE');
    var calanderEventLocation = $translate('CALANDER_EVENT_LOCATION');  
    var calanderEventNotes = $translate('CALANDER_EVENT_NOTES');


    $scope.addEventToCalendar = function(){
        var startDate = new Date($scope.nextElectionDate);//= new Date(2015,2,15,18,30,0,0,0); // beware: month 0 = january, 11 = december
        var endDate = $scope.nextElectionDate;//new Date(2015,2,15,19,30,0,0,0);
        startDate.setHours(startDate.getHours() - 9); // Set the calander event start date to 8:00 AM


    if(window.localStorage.getItem('votingDayAddedToCalander') == 'true'){
        navigator.notification.alert(alertAlreadyAddedP1 + " " + new Date(startDate.getFullYear(), startDate.getMonth(), startDate.getDate()).toString().substring(0, 15) + " " + alertAlreadyAddedP2, null, alertTitle, alertTextThanks); 
    }
    else{
        var title = calanderEventTitle;
        var eventLocation = calanderEventLocation;
        var notes = calanderEventNotes;

        
        var success = function(message) {
          window.localStorage.setItem('votingDayAddedToCalander', 'true');
          navigator.notification.alert(alertMessage, null, alertTitle, alertTextThanks);
          window.location.reload(true);
        };


        var error = function(message) { 
          navigator.notification.alert(alertFailed, null, alertTitle, alertTextConfirm);
        };

        window.plugins.calendar.createEvent(title, eventLocation, notes, startDate, endDate, success, error);
    }
  } 

})

.controller('RequirementRegistrationCtrl', function ($scope, $state, Translator, Config) {
  
  $scope.confirmRegisteredClick = function (){
    window.localStorage.setItem('isUserRegistered', 'true');

    //Analytics:
    if (window.localStorage.getItem('usersDistrict') != null){
      var dimensions = {
         district: window.localStorage.getItem('usersDistrict')
      };
      Parse.Analytics.track('confirmRegisteredClick', dimensions);
    }
    else{
      Parse.Analytics.track('confirmRegisteredClick', null);
    }
    console.log("Sent Analytics: confirmRegisteredClick");
    $state.go("tab.requirements");
  }

  $scope.isUserRegistered = window.localStorage.getItem('isUserRegistered');
  $scope.currentLanguage = Translator.getCurrentLanguage();

  Config.getValueForKey("Link_Registration_English").then(function (data){
      $scope.Link_Registration_English = data;
  });
  Config.getValueForKey("Link_Registration_French").then(function (data){
      $scope.Link_Registration_French = data;
  });

})

.controller('RequirementWhenCtrl', function ($scope, $state, Translator, Config) {
 
  $scope.confirmVoteDateClick = function (){
    window.localStorage.setItem('isUsersVoteDatePicked', 'true');

    //Analytics:
    if (window.localStorage.getItem('usersDistrict') != null){
      var dimensions = {
         district: window.localStorage.getItem('usersDistrict')
      };
      Parse.Analytics.track('confirmVoteDateClick', dimensions);
    }
    else{
      Parse.Analytics.track('confirmVoteDateClick', null);
    }
    console.log("Sent Analytics: confirmVoteDateClick");
    $state.go("tab.requirements");
  }

  $scope.isUsersVoteDatePicked = window.localStorage.getItem('isUsersVoteDatePicked');
  $scope.currentLanguage = Translator.getCurrentLanguage();


  Config.getValueForKey("Link_Advanced_Polling_English").then(function (data){
      $scope.Link_Advanced_Polling_English = data;
  });
  Config.getValueForKey("Link_Advanced_Polling_French").then(function (data){
      $scope.Link_Advanced_Polling_French = data;
  });

  Config.getValueForKey("Link_Election_Office_Polling_English").then(function (data){
      $scope.Link_Election_Office_Polling_English = data;
  });
  Config.getValueForKey("Link_Election_Office_Polling_French").then(function (data){
      $scope.Link_Election_Office_Polling_French = data;
  });

  Config.getValueForKey("Link_By_Mail_Polling_English").then(function (data){
      $scope.Link_By_Mail_Polling_English = data;
  });
  Config.getValueForKey("Link_By_Mail_Polling_French").then(function (data){
      $scope.Link_By_Mail_Polling_French = data;
  });



})

.controller('RequirementIdCtrl', function ($scope, $state, Translator, Config) {
 
 $scope.confirmIDReadyClick = function (){
    window.localStorage.setItem('isUsersIDReady', 'true');

    //Analytics:
    if (window.localStorage.getItem('usersDistrict') != null){
      var dimensions = {
         district: window.localStorage.getItem('usersDistrict')
      };
      Parse.Analytics.track('confirmIDReadyClick', dimensions);
    }
    else{
      Parse.Analytics.track('confirmIDReadyClick', null);
    }
    console.log("Sent Analytics: confirmIDReadyClick");
    $state.go("tab.requirements");
  }

  $scope.isUsersIDReady = window.localStorage.getItem('isUsersIDReady');
  $scope.currentLanguage = Translator.getCurrentLanguage();

  Config.getValueForKey("Link_Required_ID_English").then(function (data){
      $scope.Link_Required_ID_English = data;
  });
  Config.getValueForKey("Link_Required_ID_French").then(function (data){
      $scope.Link_Required_ID_French = data;
  });

})


.controller('RequirementStudentCtrl', function ($scope, $state, Translator, Config) {
 
 $scope.confirmStudentInfoReadyClick = function (){
    window.localStorage.setItem('isUsersStudentInfoReady', 'true');

    //Analytics:
    if (window.localStorage.getItem('usersDistrict') != null){
      var dimensions = {
         district: window.localStorage.getItem('usersDistrict')
      };
      Parse.Analytics.track('confirmStudentInfoReadyClick', dimensions);
    }
    else{
      Parse.Analytics.track('confirmStudentInfoReadyClick', null);
    }
    console.log("Sent Analytics: confirmStudentInfoReadyClick");
    $state.go("tab.requirements");
  }

  $scope.isUsersStudentInfoReady = window.localStorage.getItem('isUsersStudentInfoReady');
  $scope.currentLanguage = Translator.getCurrentLanguage();

  Config.getValueForKey("Link_Student_Special_Ballot_English").then(function (data){
      $scope.Link_Student_Special_Ballot_English = data;
  });
  Config.getValueForKey("Link_Student_Special_Ballot_French").then(function (data){
      $scope.Link_Student_Special_Ballot_French = data;
  });


  if($scope.currentLanguage == 'en'){
    Config.getValueForKey("Link_Vote_At_School_English").then(function (data){
        $scope.Link_Vote_At_School = data;
    });

    Config.getValueForKey("Link_Student_PDF_English").then(function (data){
        $scope.Link_Student_PDF = data;
    });
  }
  else if($scope.currentLanguage == 'fr'){
    Config.getValueForKey("Link_Vote_At_School_French").then(function (data){
        $scope.Link_Vote_At_School = data;
    });

    Config.getValueForKey("Link_Student_PDF_French").then(function (data){
        $scope.Link_Student_PDF = data;
    });
  }


  $scope.sharePDFClick = function(){
      window.plugins.socialsharing.share($scope.Link_Student_PDF, null, null, '');
}




})


.controller('RequirementSpecialCtrl', function ($scope, $state, Translator, Config) {
 
  $scope.confirmAwareOfSpecialCircumstancesClick = function(){
    window.localStorage.setItem('isUserAwareOfSpecialCircumstances', 'true');

    //Analytics:
    if (window.localStorage.getItem('usersDistrict') != null){
      var dimensions = {
         district: window.localStorage.getItem('usersDistrict')
      };
      Parse.Analytics.track('confirmAwareOfSpecialCircumstancesClick', dimensions);
    }
    else{
      Parse.Analytics.track('confirmAwareOfSpecialCircumstancesClick', null);
    }
    console.log("Sent Analytics: confirmAwareOfSpecialCircumstancesClick");



    $state.go("tab.requirements");
  }

  $scope.isUserAwareOfSpecialCircumstances = window.localStorage.getItem('isUserAwareOfSpecialCircumstances');
  $scope.currentLanguage = Translator.getCurrentLanguage();

  Config.getValueForKey("Link_Aboriginal_Voters_English").then(function (data){
      $scope.Link_Aboriginal_Voters_English = data;
  });
  Config.getValueForKey("Link_Aboriginal_Voters_French").then(function (data){
      $scope.Link_Aboriginal_Voters_French = data;
  });


  Config.getValueForKey("Link_Disabilities_Polling_English").then(function (data){
      $scope.Link_Disabilities_Polling_English = data;
  });
  Config.getValueForKey("Link_Disabilities_Polling_French").then(function (data){
      $scope.Link_Disabilities_Polling_French = data;
  });


  Config.getValueForKey("Link_Ethnocultural_Polling_English").then(function (data){
      $scope.Link_Ethnocultural_Polling_English = data;
  });
  Config.getValueForKey("Link_Ethnocultural_Polling_French").then(function (data){
      $scope.Link_Ethnocultural_Polling_French = data;
  });


  Config.getValueForKey("Link_Forces_Polling_English").then(function (data){
      $scope.Link_Forces_Polling_English = data;
  });
  Config.getValueForKey("Link_Forces_Polling_French").then(function (data){
      $scope.Link_Forces_Polling_French = data;
  });


  Config.getValueForKey("Link_Living_Abroad_Polling_English").then(function (data){
      $scope.Link_Living_Abroad_Polling_English = data;
  });
  Config.getValueForKey("Link_Living_Abroad_Polling_French").then(function (data){
      $scope.Link_Living_Abroad_Polling_French = data;
  });


  Config.getValueForKey("Link_Incarcerated_English").then(function (data){
      $scope.Link_Incarcerated_English = data;
  });
  Config.getValueForKey("Link_Incarcerated_French").then(function (data){
      $scope.Link_Incarcerated_French = data;
  });


  Config.getValueForKey("Link_Civic_Info_English").then(function (data){
      $scope.Link_Civic_Info_English = data;
  });
  Config.getValueForKey("Link_Civic_Info_French").then(function (data){
      $scope.Link_Civic_Info_French = data;
  });


  Config.getValueForKey("Link_Voting_Guides_English").then(function (data){
      $scope.Link_Voting_Guides_English = data;
  });
  Config.getValueForKey("Link_Voting_Guides_French").then(function (data){
      $scope.Link_Voting_Guides_French = data;
  });


  Config.getValueForKey("Link_ID_Requirements_English").then(function (data){
      $scope.Link_ID_Requirements_English = data;
  });
  Config.getValueForKey("Link_ID_Requirements_French").then(function (data){
      $scope.Link_ID_Requirements_French = data;
  });


})


.controller('RequirementVideoCtrl', function ($scope, $state, Config, Translator) {
    $scope.currentLanguage = Translator.getCurrentLanguage();

    $scope.userWatchedVideoClick = function(){
      window.localStorage.setItem('userHasWatchedVideo', 'true');
    }

    if($scope.currentLanguage == 'en'){
      Config.getValueForKey("Link_Vote_Video_English").then(function (data){
        $scope.Link_Vote_Video = data;
      });
    }
    else if ($scope.currentLanguage == 'fr'){
      Config.getValueForKey("Link_Vote_Video_French").then(function (data){
        $scope.Link_Vote_Video = data;
      });
    }
})


.controller('CandidatesCtrl', function ($scope, $state, $stateParams, $ionicLoading, $ionicSlideBoxDelegate, $timeout, Candidates) {
    Candidates.loadPartyImageURLs();
    $scope.hasIdentifiedDistrict = window.localStorage.getItem("hasIdentifiedDistrict");
    if($scope.hasIdentifiedDistrict == 'true'){

      // if(window.localStorage.getItem("atLeastOneCandidateRated")){
      //   $scope.atLeastOneCandidateRated = true;
      // }

      $ionicLoading.show({
        template: '<ion-spinner icon="ripple"/>',
        animation: 'fade-in',
        showBackdrop: true,
        maxWidth: 200,
        showDelay: 0
        });

        $timeout(function() {
          $ionicLoading.hide();
        }, 10000);

      $scope.usersDistrict = window.localStorage.getItem("usersDistrict");
      Candidates.getAll().then(function (data){
        $scope.candidates = data;
        $ionicLoading.hide();
      });

    }// If user has identified district
})


.controller('CandidateDetailCtrl', function ($scope, $state, $stateParams, $cordovaDevice, Config, Candidates, Translator) {
  
  $scope.candidate = Candidates.get($stateParams.objectId);

  if($scope.candidate == null){
    $state.go('tab.candidates');
  }
  else{

      $scope.currentLanguage = Translator.getCurrentLanguage();


      if($scope.candidate.biography_english != undefined){
        $scope.shouldDisplayBiography = true;
      }
      else{
        $scope.shouldDisplayBiography = false;
      }


      if($scope.candidate.candidate_FB_page != undefined && $scope.candidate.candidate_FB_page != ""){
        $scope.shouldDisplay_FB_btn = true;
      }
      else{
        $scope.shouldDisplay_FB_btn = false;
      }


      Config.getValueForKey("Link_Candidate_Share_English").then(function (data){
        $scope.Link_Candidate_Share_English = data;
        $scope.onlineShareStringEnglish = $scope.Link_Candidate_Share_English + $scope.candidate.objectId;
      });

      Config.getValueForKey("Link_Candidate_Share_French").then(function (data){
        $scope.Link_Candidate_Share_French = data;
        $scope.onlineShareStringFrench = $scope.Link_Candidate_Share_English + $scope.candidate.objectId;
      });

      Config.getValueForKey("Show_Candidate_Google_Button").then(function (data){
          $scope.Show_Candidate_Google_Button = data;
      });

      

      

      $scope.shareCandidateFacebookClick = function(){
        if($scope.currentLanguage == 'en'){
          window.plugins.socialsharing.shareViaFacebook($scope.candidate.name, null /* img */, $scope.Link_Candidate_Share_English + $scope.candidate.objectId /* url */, function() {console.log('share ok')}, function(errormsg){alert(errormsg)})
        }
        else if($scope.currentLanguage == 'fr'){
                    window.plugins.socialsharing.shareViaFacebook($scope.candidate.name, null /* img */, $scope.Link_Candidate_Share_French + $scope.candidate.objectId /* url */, function() {console.log('share ok')}, function(errormsg){alert(errormsg)})
        }
        //Analytics:
        if (window.localStorage.getItem('usersDistrict') != null){
          var dimensions = {
                 district: window.localStorage.getItem("usersDistrict"),
                 candidateName: $scope.candidate.name,
                 candidateParty: $scope.candidate.party
          };
          Parse.Analytics.track('candidateDetailShare', dimensions);
        }
        else{
          Parse.Analytics.track('candidateDetailShare', null);
        }
        console.log("Sent Analytics: candidateDetailShare");
      }


      $scope.shareCandidateClick = function(){
        if($scope.currentLanguage == 'en'){
          window.plugins.socialsharing.share(null, null, null, $scope.Link_Candidate_Share_English + $scope.candidate.objectId);
        }
        else if($scope.currentLanguage == 'fr'){
          window.plugins.socialsharing.share(null, null, null, $scope.Link_Candidate_Share_French + $scope.candidate.objectId);
        }
        //Analytics:
        if (window.localStorage.getItem('usersDistrict') != null){
          var dimensions = {
                 district: window.localStorage.getItem("usersDistrict"),
                 candidateName: $scope.candidate.name,
                 candidateParty: $scope.candidate.party
          };
          Parse.Analytics.track('candidateDetailShare', dimensions);
        }
        else{
          Parse.Analytics.track('candidateDetailShare', null);
        }
        console.log("Sent Analytics: candidateDetailShare");
      };

      $scope.rateCandidate = function(rating){
        console.log(window.localStorage.getItem('usersDistrict') + "---" + window.localStorage.getItem('user_ID'));
        if(window.localStorage.getItem("candidateRating:" + $scope.candidate.objectId) != rating){
          // Do analytics if rating has changed.
          if(window.localStorage.getItem('usersDistrict') != null &&
             window.localStorage.getItem('user_ID') != null){ 
              var dimensions = {
                   district: window.localStorage.getItem('usersDistrict'),
                   party: $scope.candidate.party.toString(),
                   candidate: $scope.candidate.name.toString(),
                   candidate_id: $scope.candidate.objectId.toString(),
                   rating: rating.toString(),
                   user_id:  window.localStorage.getItem('user_ID')
              };
              Parse.Analytics.track('candidateRating', dimensions);
              console.log("Sent Analytics: candidateRating");
          }
        }
        window.localStorage.setItem("candidateRating:" + $scope.candidate.objectId, rating);
        $state.go('tab.candidates');
      };

        //Analytics:
        if (window.localStorage.getItem('usersDistrict') != null){
          var dimensions = {
                 district: window.localStorage.getItem("usersDistrict"),
                 candidateName: $scope.candidate.name,
                 candidateParty: $scope.candidate.party
          };
          Parse.Analytics.track('candidateDetailOpen', dimensions);
        }
        else{
          Parse.Analytics.track('candidateDetailOpen', null);
        }
        console.log("Sent Analytics: candidateDetailOpen");
  }

})


.controller('UberCtrl', function ($scope, $state, $cordovaAppAvailability, Translator, UberDistricts) {
  $scope.currentLanguage = Translator.getCurrentLanguage();

   document.addEventListener("deviceready", function () {
          if (device.platform == 'android' || device.platform == 'Android'){
            $cordovaAppAvailability.check('com.ubercab')
                  .then(function() {
                    $scope.isUberInstalled = true;
                  }, function () {
                    $scope.isUberInstalled = false;
                  });
          }
          else{
            $cordovaAppAvailability.check('uber://')
                .then(function() {
                  $scope.isUberInstalled = true;
                }, function () {
                  $scope.isUberInstalled = false;
                });
          }
        }, false);

})


.controller('DisclaimerCtrl', function ($scope, $state) {})
.controller('ThingsToDoCtrl', function ($scope, $state) {})
.controller('ThingsToDoHomeCtrl', function ($scope, $state) {})
.controller('NoNetworkConnectionCtrl', function ($scope, $ionicPlatform ) {});




